Skip to main content
GET
/
core
/
v1
/
metering-grid-areas
List Metering Grid Areas
curl --request GET \
  --url https://api.engrate.io/v1/core/v1/metering-grid-areas \
  --header 'Authorization: <api-key>'
{
  "mgas": [
    {
      "extra_ids": [
        {
          "kind": "eic",
          "value": "46Y000000000016G"
        },
        {
          "kind": "se.mga_code",
          "value": "STO"
        }
      ],
      "id": "0199c317-25ec-7c00-b1a0-a1b2c3d4e5f6",
      "name": "Stockholm",
      "scheduling_area_eic": "10Y1001A1001A47J",
      "system_operator": {
        "extra_ids": [
          {
            "kind": "eic",
            "value": "46X000000000245K"
          }
        ],
        "id": "0199c317-25ec-7cf7-94cc-32a39f068433"
      }
    }
  ]
}

Authorizations

Authorization
string
header
required

Query Parameters

name
string[]

Substring filter by name(s) of the metering grid area

extra_id
string[]

Filter by Extra Identifier(s)

system_operator_id
string<uuid>[]

Filter MGAs operated by the specified Party(s)

system_operator_extra_id
string[]

Filter MGAs operated by the specified Party(s), convenience filter to search by extra ids

country
string[]

Filter by country(s)

lat
number | null

Filter by latitude, requires you to also specify lon; finds MGAs that cover the given location

lon
number | null

Filter by longitude, requires you to also specify lat; finds MGAs that cover the given location

street
string | null

Filter by street address, requires that you also specify country and city

city
string | null

Filter by city, requires you also specify street and country

zipcode
string | null

Filter by zip/postal code, requires you also specify country

Response

Successful Response

mgas
MeteringGridArea · object[]
required